type BenefitsData @table(name: "benefits_data", key: ["staffId", "vendorBenefitPlanId"]) {
  id: UUID! @default(expr: "uuidV4()")

  vendorBenefitPlanId: UUID! 
  vendorBenefitPlan: VendorBenefitPlan! @ref( fields: "vendorBenefitPlanId", references: "id" )

  current: Int!

  staffId: UUID!
  staff: Staff! @ref( fields: "staffId", references: "id" )

  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
